Bug 661244 - Missing tomcat6-juli link in /usr/share/java
Summary: Missing tomcat6-juli link in /usr/share/java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcat6
Version: 6.3
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: David Knox
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 678664
TreeView+ depends on / blocked
 
Reported: 2010-12-08 09:49 UTC by Lukas Zapletal
Modified: 2015-11-02 00:16 UTC (History)
3 users (show)

Fixed In Version: tomcat6-6.0.24-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 10:58:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0791 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2011-05-19 10:58:07 UTC

Description Lukas Zapletal 2010-12-08 09:49:15 UTC
Description of problem:

There is missing symlink in /usr/share/java to /usr/tomcat6/bin/tomcat6-juli.jar. This library is mandatory for some operations (like running jasper JSP precompiler). Without this link one cannot use build-jar-repository command to compose valid classpath (JULI libraries are missing).

Additional info:

Please add this link to the RPM. Its already in Fedora 12 

* Fri Mar 26 2010 Mary Ellen Foster <mefoster(at)gmail.com> 0:6.0.24-2
  - Add maven POMs and metadata
  - Link tomcat6-juli into /usr/share/java/tomcat6

and it should be very easy to backport this into RHEL6.

Comment 2 Lukas Zapletal 2010-12-08 10:11:46 UTC
Additional info: I was testing the version

tomcat6-6.0.24-15.el6.noarch

Btw theres also a broken link log4j in the tomcat6-lib package.

[root@dell-pe700-01 ~]# rpm -ql tomcat6-lib | grep log4j
/usr/share/java/tomcat6/log4j-6.0.24.jar
/usr/share/java/tomcat6/log4j.jar

Comment 3 Lukas Zapletal 2010-12-08 10:13:40 UTC
The log4j thing was reported to Fedora and is fixed there. See bug 654660.

Comment 4 David Knox 2010-12-08 17:23:35 UTC
In RHEL-6, added link for log4j in libdir, fixed symlink to commons-collection also. Removed the log4j package and replaced with symlink.

Comment 10 errata-xmlrpc 2011-05-19 10:58:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0791.html


Note You need to log in before you can comment on or make changes to this bug.